#!/bin/sh

# Batch test file for the dvbsenco program

# Setting variables

ENCO=dvbsenco
TESTFILE=test_long.m2v
MP2GEN=mpeg2gen
TSTLEN=1200000
SPEEDFILE=test_dvbse_`uname`_`arch`.txt
TEMPFILE=$RANDOM\_dvbsenco_file.txt
CHECKWPP=wppcheck
# set clockmhz to 0 to autosense processor speed
CLOCKMHZ=0

INTERP="2 4 8"
RATES="1/2 2/3 3/4 5/6 7/8"

echo 
echo Speed test for $ENCO
echo

if [ ! -f $TESTFILE ] ; then 
	echo Creating test file
	./$MP2GEN -z $TSTLEN -t rand -o $TESTFILE ;
fi

if [ -f $SPEEDFILE ] ; then rm $SPEEDFILE ; fi


for i in $INTERP ; do
	for r in $RATES ; do 
		echo $i $r
		./$ENCO -i $TESTFILE -I $i -p $r -v 1 2> $TEMPFILE
		cat $TEMPFILE
		cat $TEMPFILE >> $SPEEDFILE
	done ;
done ;

if [ -f $TEMPFILE ] ; then rm $TEMPFILE ; fi

echo Test done

./$CHECKWPP $SPEEDFILE $CLOCKMHZ

